<template lang="pug">
BaseAnimationBlock(anim="delay" :appear='false' mode='' :options='{ outDelay: 0.3 }')
  .row.mb-1(v-show='!$butils.isEmpty(warnings)')
    BaseAnimationGroup.col-12.m-0.b-alerts(:appear='true' anim='height')
      .alert.alert-warning.small.p-0.mx-1.mb-1(v-for="(message, key) in warnings" :key="'b-warn-' + key")
        span.fa.fa-exclamation-triangle.mx-1
        | {{ message }}
</template>
<script>

export { default } from './ControlCheck.vue.js';

</script>
<style>
/* display some space before/after alerts list */
.a-ctrl-check .alert:first-child {
  margin-top: .25rem;
}
.a-ctrl-check .alert:last-child {
  margin-bottom: .5rem;
}
</style>
